Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.element
Interface IRow

All Superinterfaces:
  IDesignElement

    public interface IRow

extends IDesignElement

Represents a row in the scripting environment

Method Summary
`void` | `addHideRule(IHideRule rule)` Add HideRule
`void` | `addHighlightRule(IHighlightRule rule)` Adds high light rule.
`java.lang.String` | `getBookmark()` Returns the bookmark of the row.
`java.lang.String` | `getHeight()` Gets a handle to deal with the row's height.
`IHideRule[]` | `getHideRules()` Returns array of hide rule expression
`IHighlightRule[]` | `getHighlightRules()` Gets all high light rules.
`void` | `removeHideRule(IHideRule rule)` Removes all hide rules that matches formatType.
`void` | `removeHideRules()` Removes all hide rules
`void` | `removeHighlightRule(IHighlightRule rule)` Removes high light rule.
`void` | `removeHighlightRules()` Removes all high light rules.
`void` | `setBookmark(java.lang.String value)` Sets the bookmark of the row.

Methods inherited from interface org.eclipse.birt.report.engine.api.script.element.IDesignElement
`getNamedExpression, getParent, getQualifiedName, getReport, getStyle, getUserProperty, getUserPropertyExpression, setNamedExpression, setUserProperty, setUserProperty`

Method Detail

### getHeight

    java.lang.String getHeight()

  Gets a handle to deal with the row's height.

  Returns:
    the row's height.

### getBookmark

    java.lang.String getBookmark()

  Returns the bookmark of the row. The bookmark value is evaluated as an expression.

  Returns:
    the book mark as a string

### setBookmark

    void setBookmark(java.lang.String value)
                     throws ScriptException

  Sets the bookmark of the row. The bookmark value is evaluated as an expression. If you want the bookmark to be the string "bookmark", you need to use setBookmark("\"bookmark\""); If bookmark is a JavaScript variable, use setBookmark("bookmark");

  Parameters:
    `value` - the bookmark expression
  Throws:
    `ScriptException` - if the property is locked.

### removeHideRule

    void removeHideRule(IHideRule rule)
                        throws ScriptException

  Removes all hide rules that matches formatType.

  Parameters:
    `rule` -
  Throws:
    `ScriptException`

### removeHideRules

    void removeHideRules()
                         throws ScriptException

  Removes all hide rules

  Throws:
    `ScriptException`

### getHideRules

    IHideRule[] getHideRules()

  Returns array of hide rule expression

  Returns:
    array of hide rule expression

### addHideRule

    void addHideRule(IHideRule rule)
                     throws ScriptException

  Add HideRule

  Parameters:
    `rule` -
  Throws:
    `ScriptException`

### getHighlightRules

    IHighlightRule[] getHighlightRules()

  Gets all high light rules.

  Returns:
    all high light rules

### addHighlightRule

    void addHighlightRule(IHighlightRule rule)
                          throws ScriptException

  Adds high light rule.

  Parameters:
    `rule` -
  Throws:
    `ScriptException`

### removeHighlightRules

    void removeHighlightRules()
                              throws ScriptException

  Removes all high light rules.

  Throws:
    `ScriptException`

### removeHighlightRule

    void removeHighlightRule(IHighlightRule rule)
                             throws ScriptException

  Removes high light rule.

  Parameters:
    `rule` -
  Throws:
    `ScriptException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.